org.apache.solr.client.solrj.io.eval

## Interface TwoValueWorker

All Superinterfaces:
  ValueWorker

All Known Implementing Classes:
  BetaDistributionEvaluator, BinomialDistributionEvaluator, ChebyshevDistanceEvaluator, ChiSquareDataSetEvaluator, ColumnAtEvaluator, ConvolutionEvaluator, CosineSimilarityEvaluator, CumulativeProbabilityEvaluator, DensityEvaluator, DivideEvaluator, DotProductEvaluator, EBEAddEvaluator, EBEDivideEvaluator, EBEMultiplyEvaluator, EBESubtractEvaluator, EuclideanDistanceEvaluator, FeatureSelectEvaluator, FindDelayEvaluator, FuzzyKmeansEvaluator, GammaDistributionEvaluator, GetAttributeEvaluator, GetClusterEvaluator, GetValueEvaluator, GTestDataSetEvaluator, IndexOfEvaluator, KmeansEvaluator, KolmogorovSmirnovEvaluator, LogNormalDistributionEvaluator, MatrixMultiplyEvaluator, MeanDifferenceEvaluator, ModuloEvaluator, MovingAverageEvaluator, MovingMedianEvaluator, MultiVariateNormalDistributionEvaluator, NormalDistributionEvaluator, PairedTTestEvaluator, PercentileEvaluator, PowerEvaluator, PrecisionEvaluator, RegressionEvaluator, RowAtEvaluator, ScalarAddEvaluator, ScalarDivideEvaluator, ScalarMultiplyEvaluator, ScalarSubtractEvaluator, ScaleEvaluator, SetColumnLabelsEvaluator, SetRowLabelsEvaluator, SumDifferenceEvaluator, TopFeaturesEvaluator, TTestEvaluator, UniformDistributionEvaluator, UniformIntegerDistributionEvaluator, WeibullDistributionEvaluator, ZipFDistributionEvaluator

    public interface TwoValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Object` `doWork(Object... values)`
`Object` `doWork(Object value1, Object value2)`

### Method Detail

#### doWork

    Object doWork(Object value1,
                  Object value2)
           throws IOException

Throws:
  `IOException`

#### doWork

    default Object doWork(Object... values)
                   throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`